<?php

$multi_blogger_custom_css = "";


$multi_blogger_primary_color = get_theme_mod('multi_blogger_primary_color');
$multi_blogger_second_color = get_theme_mod('multi_blogger_second_color');

/*------------------ Primary Global Color -----------*/

if ($multi_blogger_primary_color) {
  $multi_blogger_custom_css .= ':root {';
  $multi_blogger_custom_css .= '--primary-color: ' . esc_attr($multi_blogger_primary_color) . ' !important;';
  $multi_blogger_custom_css .= '} ';
}

/*------------------ Secondary Global Color -----------*/

if ($multi_blogger_second_color) {
  $multi_blogger_custom_css .= ':root {';
  $multi_blogger_custom_css .= '--secondary-color: ' . esc_attr($multi_blogger_second_color) . ' !important;';
  $multi_blogger_custom_css .= '} ';
}

/*-------------------- Scroll Top Alignment-------------------*/

$multi_blogger_scroll_top_alignment = get_theme_mod( 'multi_blogger_scroll_top_alignment','right-align');

if($multi_blogger_scroll_top_alignment == 'right-align'){
$multi_blogger_custom_css .='#button{';
	$multi_blogger_custom_css .='right: 3%;';
$multi_blogger_custom_css .='}';
}else if($multi_blogger_scroll_top_alignment == 'center-align'){
$multi_blogger_custom_css .='#button{';
	$multi_blogger_custom_css .='right:0; left:0; margin: 0 auto;';
$multi_blogger_custom_css .='}';
}else if($multi_blogger_scroll_top_alignment == 'left-align'){
$multi_blogger_custom_css .='#button{';
	$multi_blogger_custom_css .='left: 3%;';
$multi_blogger_custom_css .='}';
}

/*-------------------- Archive Page Pagination Alignment-------------------*/

$multi_blogger_archive_pagination_alignment = get_theme_mod( 'multi_blogger_archive_pagination_alignment','left-align');

if($multi_blogger_archive_pagination_alignment == 'right-align'){
$multi_blogger_custom_css .='.pagination{';
	$multi_blogger_custom_css .='justify-content: end;';
$multi_blogger_custom_css .='}';
}else if($multi_blogger_archive_pagination_alignment == 'center-align'){
$multi_blogger_custom_css .='.pagination{';
	$multi_blogger_custom_css .='justify-content: center;';
$multi_blogger_custom_css .='}';
}else if($multi_blogger_archive_pagination_alignment == 'left-align'){
$multi_blogger_custom_css .='.pagination{';
	$multi_blogger_custom_css .='justify-content: start;';
$multi_blogger_custom_css .='}';
}

/*-------------------- Scroll Top Responsive-------------------*/

$multi_blogger_resp_scroll_top = get_theme_mod( 'multi_blogger_resp_scroll_top',true);
if($multi_blogger_resp_scroll_top == true && get_theme_mod( 'multi_blogger_scroll_to_top',true) != true){
	$multi_blogger_custom_css .='#button.show{';
		$multi_blogger_custom_css .='visibility:hidden !important;';
	$multi_blogger_custom_css .='} ';
}
if($multi_blogger_resp_scroll_top == true){
	$multi_blogger_custom_css .='@media screen and (max-width:575px) {';
	$multi_blogger_custom_css .='#button.show{';
		$multi_blogger_custom_css .='visibility:visible !important;';
	$multi_blogger_custom_css .='} }';
}else if($multi_blogger_resp_scroll_top == false){
	$multi_blogger_custom_css .='@media screen and (max-width:575px){';
	$multi_blogger_custom_css .='#button.show{';
		$multi_blogger_custom_css .='visibility:hidden !important;';
	$multi_blogger_custom_css .='} }';
}

/*-------------------- Preloader Responsive-------------------*/

$multi_blogger_resp_loader = get_theme_mod('multi_blogger_resp_loader',false);
if($multi_blogger_resp_loader == true && get_theme_mod('multi_blogger_header_preloader',false) == false){
	$multi_blogger_custom_css .='@media screen and (min-width:575px){
		.preloader{';
		$multi_blogger_custom_css .='display:none !important;';
	$multi_blogger_custom_css .='} }';
}

if($multi_blogger_resp_loader == false){
	$multi_blogger_custom_css .='@media screen and (max-width:575px){
		.preloader{';
		$multi_blogger_custom_css .='display:none !important;';
	$multi_blogger_custom_css .='} }';
}

// Scroll to top button shape 

$multi_blogger_scroll_border_radius = get_theme_mod( 'multi_blogger_scroll_to_top_radius','curved-box');
if($multi_blogger_scroll_border_radius == 'box'){
	$multi_blogger_custom_css .='#button{';
		$multi_blogger_custom_css .='border-radius: 0px;';
	$multi_blogger_custom_css .='}';
}else if($multi_blogger_scroll_border_radius == 'curved-box'){
	$multi_blogger_custom_css .='#button{';
		$multi_blogger_custom_css .='border-radius: 4px;';
	$multi_blogger_custom_css .='}';
}
else if($multi_blogger_scroll_border_radius == 'circle'){
	$multi_blogger_custom_css .='#button{';
		$multi_blogger_custom_css .='border-radius: 50%;';
	$multi_blogger_custom_css .='}';
}

// Footer Background Image Attachment 

$multi_blogger_footer_attachment = get_theme_mod( 'multi_blogger_background_attachment','scroll');
if($multi_blogger_footer_attachment == 'fixed'){
	$multi_blogger_custom_css .='.site-footer{';
		$multi_blogger_custom_css .='background-attachment: fixed;';
	$multi_blogger_custom_css .='}';
}elseif ($multi_blogger_footer_attachment == 'scroll'){
	$multi_blogger_custom_css .='.site-footer{';
		$multi_blogger_custom_css .='background-attachment: scroll;';
	$multi_blogger_custom_css .='}';
}

// Menu Hover Style	

$multi_blogger_menus_item = get_theme_mod( 'multi_blogger_menus_style','None');
if($multi_blogger_menus_item == 'None'){
	$multi_blogger_custom_css .='#site-navigation .menu ul li a:hover, .main-navigation .menu li a:hover{';
		$multi_blogger_custom_css .='';
	$multi_blogger_custom_css .='}';
}else if($multi_blogger_menus_item == 'Zoom In'){
	$multi_blogger_custom_css .='#site-navigation .menu ul li a:hover, .main-navigation .menu li a:hover{';
		$multi_blogger_custom_css .='transition: all 0.3s ease-in-out !important; transform: scale(1.2) !important;';
		$multi_blogger_custom_css .='outline: none !important;';
	$multi_blogger_custom_css .='}';
}	
